/* Several formats can be used to fill the color attribute */

/* Name a basic color */
p {
    color:blue;
}

/* Use either a three digit or six digit HEX code */
p {
    color: #000;
}

p {
    color: #216477;
}

/* RGB and HSL formats */
p {
    color:rgb(212,175,55);
}

p {
    color:hsl(0,0,75);
}

/* RGBA and HSLA => Supports transprency (7 digit HEX also supports transparency) */

p {
    color:rgba(245,98,13,0.4);
}

p {
    color:hsla(202,87,24,0.58);
}

/* If a color was generated with one of theese functions and it's meant to be used several times */
/* you needn't write the function every time you intend to use that color. Instead, you may name */
/* that color by declaring custom properties. Pseudo-selectors are used for this end. */

/* Pseudoselectors 
/* They are used to define elements that do not exist in HTML. The "root" pseudo selector can be used to store */
/* variables known as custom properties (sintax: --property:value). Example: Define your own color pallete generating */ 
/* some custom colors */
:root {                     /* root can be used to store custom colors, fonts, sizes, etc. */
    --white: #ffffff;
    --dark: #212121;
    --primary_color: #FFC107;
}

/* In order to use theese colors you can't just write color:primary_color; */
/* You need to indicate that the value you intend to assign to the color attribute is a variable you created. */
/* This can be done by writig: color:var(primary_color); */
p {
    color:var(primary_color);
}
/* Selecting the color of several elements this way provides certain advantages. If you where to change the color 
   of all theese elements, you would only need to change the variable's value instead of changing each element's
   color individualy. This can save a lot of time. */